#pragma semicolon 1
#include <sourcemod>
#include <sdktools>

#define PLUGIN_VERSION "1.0"

public Plugin:myinfo =  {
	name = "DoD:S Remove Teamwalls", 
	author = "Darkranger", 
	description = "DoD:S Remove Teamwalls", 
	version = PLUGIN_VERSION, 
	url = "http://www.dodsplugins.net"
}

new Handle:TeamWallRemove = INVALID_HANDLE;
static const String:g_szTeamWalls[][] =  { "func_team_wall", "func_teamblocker" };

public OnPluginStart()
{
	TeamWallRemove = CreateConVar("dod_teamwallremove", "1", "Enable(1)/disable(0) removing Teamwalls in Game", FCVAR_PLUGIN);
	HookEvent("dod_round_start", Event_RoundStart);
	
}


public Action:Event_RoundStart(Handle:event, const String:name[], bool:dontBroadcast)
{
	if (GetConVarInt(TeamWallRemove) == 1)
	{
		new entity = -1;
		for (new i = 0; i < sizeof(g_szTeamWalls); i++)
		{
			while ((entity = FindEntityByClassname(entity, g_szTeamWalls[i])) != -1)
			{
				AcceptEntityInput(entity, "Kill");
			}
		}
	}
}


public OnPluginEnd()
{
	CloseHandle(TeamWallRemove);
}

public OnEventShutdown()
{
	UnhookEvent("dod_round_start", Event_RoundStart);
	
} 